ata_dev_xfermask
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_dev_xfermask — Compute supported xfermask of the given device

## Synopsis

`void ata_dev_xfermask (` | struct ata_device * | dev`)`;

## Arguments

`dev`

  Device to compute xfermask for

## Description

Compute supported xfermask of `dev` and store it in dev->*_mask. This function is responsible for applying all known limits including host controller limits, device blacklist, etc...

## LOCKING

None.

Prev | Up | Next
ata_dev_revalidate | Home | ata_dev_set_xfermode